print();

local modDirectory = g_currentModDirectory

function onLoadMapFinished(mission, node)
	local pricehamburger = g_fillTypeManager:getFillTypeByName("MAIZE").pricePerLiter
	
	
	if node ~= 0 then
	
	local hamburgerHudFile = "Paletten/hud_fill_hamburger.dds"
	local hamburgerHudFileSmall = "Paletten/hud_fill_hamburger_smal.dds"
	
    local hamburgerFilType = g_fillTypeManager:addFillType("HAMBURGER", g_i18n:getText("hamburger"), true, pricehamburger * 2.7, 0.00045, math.rad(10), hamburgerHudFile, hamburgerHudFileSmall,modDirectory, nil, { 1, 1, 1 }, nil, false)
	
	g_currentMission.hud.fillLevelsDisplay:refreshFillTypes(g_fillTypeManager)
	end;
end;

function load(id, xmlFile, key,customEnvironment)
	local hasmaize =false
	local hashamburger=false	
	
	
	local object=id
	if object == nil then
	else
	hasmaize =false
	hashamburger=false
	
	
	for i,filltype in pairs(object.acceptedFillTypes) do
	local fillname=g_fillTypeManager.indexToName[i]
		if fillname == "MAIZE" then
		hasmaize=true
	end;
		if fillname == "HAMBURGER" then
		hashamburger=true
	end;
		
end;

		if hasmaize and not hashamburger then
		local filltypen = g_fillTypeManager:getFillTypeIndexByName("HAMBURGER")
		local price = g_fillTypeManager:getFillTypeByName("HAMBURGER").pricePerLiter
			object:addAcceptedFillType(filltypen,price,true,false)
			object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("HAMBURGER")]=object.priceMultipliers[ g_fillTypeManager:getFillTypeIndexByName("MAIZE")]
			object:initPricingDynamics()
		end;
		
	end;
end;

FSBaseMission.loadMapFinished = Utils.prependedFunction(FSBaseMission.loadMapFinished, onLoadMapFinished)
SellingStation.load = Utils.appendedFunction(SellingStation.load, load)